MP4(3)

NAME

MP4Read - Read an existing mp4 file

SYNTAX

#include <mp4.h>

MP4FileHandle MP4Read(
    const char* fileName,
    u_int32_t verbosity = 0
);

ARGUMENTS

fileName
    Specifies the path name of the file to be read.

verbosity
    Specifies a bitmask of diagnostic details the library should print to stdout during its functioning. See MP4SetVerbosity() for values.

RETURN VALUES

Upon successful completion the function returns a handle to the existing mp4 file. This is used in subsequent calls to the library to read information from the file. Upon an error, MP4_INVALID_FILE_HANDLE is returned.

DESCRIPTION

MP4Read is the first call that should be used when you want to just read an existing mp4 file. It is equivalent to opening a file for reading, but in addition the mp4 file is parsed and the control information is loaded into memory. Note the actual track samples are not read into memory until MP4ReadSample() is called.

SEE ALSO

MP4(3)